<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="historialActividad">
        <h2 class="jh-entity-heading" data-cy="historialActividadDetailsHeading">
          <span v-text="$t('gatewayApp.biologicoHistorialActividad.detail.title')">HistorialActividad</span> {{ historialActividad.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.biologicoHistorialActividad.fechaHistorial')">Fecha Historial</span>
          </dt>
          <dd>
            <span v-if="historialActividad.fechaHistorial">{{ $d(Date.parse(historialActividad.fechaHistorial), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoHistorialActividad.cicloActividad')">Ciclo Actividad</span>
          </dt>
          <dd>
            <div v-if="historialActividad.cicloActividad">
              <router-link :to="{ name: 'CicloActividadView', params: { cicloActividadId: historialActividad.cicloActividad.id } }">{{
                historialActividad.cicloActividad.id
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="historialActividad.id"
          :to="{ name: 'HistorialActividadEdit', params: { historialActividadId: historialActividad.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./historial-actividad-details.component.ts"></script>
